var express = require('express')
  , routes = require('./routes')
  , http = require('http');

express.mime.define({
  'application/vnd.collection+json': ['collection+json']
});

var app = express();

app.configure(function(){
  app.set('port', process.env.PORT || 3000);
  app.set('views', __dirname + '/views');
  app.set('view engine', 'jade');
  app.use(express.favicon());
  app.use(express.logger('dev'));
  app.use(express.bodyParser());
  app.use(express.methodOverride());
  app.use(app.router);
  app.use(express.static(__dirname + '/public', {maxAge: 60 * 60 * 1000}));
});

app.configure('development', function(){
  app.use(express.errorHandler());
});

app.get('/', routes.index);
app.get('/render', routes.render);
// TODO: make POST
app.get('/delete', routes.delete);
app.post('/write', routes.write);

http.createServer(app).listen(app.get('port'), function(){
  console.log("Express server listening on port " + app.get('port'));
});
